Subject: bug#58767: telega makes emacs crash (under an EXWM session?)

From: [email-masked]
Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)

Greetings.
What I do that makes emacs crash is just launch telega. Either via a keybind or m-x. 
what is displayed is nothing, since emacs crashes as a whole; in the debugger I already attached a log of emacs crashing.
I think it is something related to gtk because in my testing launching telega when emacs' in a tty or terminal (emacs -nw or emacsclient -ct) it does not seem to crash.
Hope this help somewhat this case.
Should i try emacs-29? Because it has some breaking changes for exwm, but i can use another wm and test that if it's needed!
awaiting instructions.
thanks a million.

Oct 25, 2022, 1:35 PM by [email-masked]:

>> Cc: [email-masked]
>> Date: Tue, 25 Oct 2022 17:58:06 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> > greetings.
>> > attached to this mail it's the new log, and the following is that in a pastebin:
>> > https://termbin.com/4o84
>> > hope this helps. Awaiting for further instructions.
>> > thanks a million.
>>
>> AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
>> (the master branch.)
>>
>
> I don't think so.
>
> But to investigate, I will need a reproducible recipe, and preferably
> without telega and EXWM.  Specifically, what text is being displayed
> when this abort happens?  It looks like the buffer has some display
> property, so the information about that display property will also be
> needed.
>
> Bottom line: more details are needed, including some description of
> what is being done by the user and what is displayed by Emacs at the
> time of the abort.
>